% Created by Cole Ingraham
% email: coledingraham@gmail.com
% website: www.coleingraham.com

\version "2.16.1"

% include files for parts
\include "globalItems.ly"
\include "partI.ly"
\include "partII.ly"
\include "partIII.ly"

% header content variables
myTitle = "Tutorial"
mySubtitle = "subtitle"
myComposer = "Me"
myCopyright = "© Myself 2013"


% turn PDF point and click off
#(ly:set-option 'point-and-click #f)

% Staves
partIStaff = \new Staff {
	\tag #'scoreOnly { \set Staff.instrumentName = "Part I" }
	\tag #'scoreOnly { \set Staff.shortInstrumentName = "I" }
	\set Staff.midiInstrument = "violin"
	<<
		\globalItems
		\partI
	>>
}

partIIStaff = \new Staff {
	\tag #'scoreOnly { \set Staff.instrumentName = "Part II" }
	\tag #'scoreOnly { \set Staff.shortInstrumentName = "II" }
	\set Staff.midiInstrument = "violin"
	<<
		\globalItems
		\partII
	>>
}

partIIIStaff = \new Staff {
	\tag #'scoreOnly { \set Staff.instrumentName = "Part III" }
	\tag #'scoreOnly { \set Staff.shortInstrumentName = "III" }
	\set Staff.midiInstrument = "violin"
	<<
		\globalItems
		\partIII
	>>
}


% Full Score
\book {
	\bookOutputName "Tutorial - Score"

	\paper {
		% page formatting goes here
	}


	\header {
		title = \myTitle
		subtitle = \mySubtitle
		composer = \myComposer
		instrument = "Full Score"
		copyright = \myCopyright
		tagline = ##f
	}

	\score {
		\new StaffGroup {<<
			\partIStaff
			\partIIStaff
			\partIIIStaff
		>>}
		\layout {
			\context {
			
			}
		}
		\midi {}
	}

}

% Part I
\book {
	\bookOutputName "Tutorial - Part I"
	
	\paper {
		% page formatting goes here
	}


	\header {
		title = \myTitle
		subtitle = \mySubtitle
		composer = \myComposer
		instrument = "Part I"
		copyright = \myCopyright
		tagline = ##f
	}
	
	\score {
		\removeWithTag #'scoreOnly
		\partIStaff
		
		\layout {
			\context {
			
			}
		}
	}
}

% Part II
\book {
	\bookOutputName "Tutorial - Part II"
	
	\paper {
		% page formatting goes here
	}


	\header {
		title = \myTitle
		subtitle = \mySubtitle
		composer = \myComposer
		instrument = "Part II"
		copyright = \myCopyright
		tagline = ##f
	}
	
	\score {
		\removeWithTag #'scoreOnly
		\partIIStaff
		
		\layout {
			\context {
			
			}
		}
	}
}

% Part III
\book {
	\bookOutputName "Tutorial - Part III"
	
	\paper {
		% page formatting goes here
	}


	\header {
		title = \myTitle
		subtitle = \mySubtitle
		composer = \myComposer
		instrument = "Part III"
		copyright = \myCopyright
		tagline = ##f
	}
	
	\score {
		\removeWithTag #'scoreOnly
		\partIIIStaff
		
		\layout {
			\context {
			
			}
		}
	}
}

